"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonDisk = void 0;
const bent_1 = __importDefault(require("bent"));
class CommonDisk {
    uploadImageFromExternalUri(uri, path, ignoreHeaderContentType = false) {
        return __awaiter(this, void 0, void 0, function* () {
            const head = bent_1.default('HEAD');
            const get = bent_1.default('GET', 200, 'buffer');
            const res = yield head(uri);
            if (ignoreHeaderContentType ||
                (res.headers['content-type'] && res.headers['content-type'].includes('image'))) {
                const imageBuffer = yield get(uri);
                return this.put(imageBuffer, path);
            }
            throw new Error('Not an image: ' + uri);
        });
    }
}
exports.CommonDisk = CommonDisk;
