/// <reference types="node" />
import { Readable, Stream } from 'stream';
export declare const ensureDirectoryExistence: (filePath: string) => boolean;
/**
 * Convert data to readable stream if it is a buffer or string.
 */
export declare function toStream(buf: Buffer | Stream | string, chunkSize?: number): Readable;
/**
 * Check if file/directory exists in local
 */
export declare function exists(path: string): Promise<void>;
/**
 * Require a module es module as its default value.
 */
export declare function requireDefaultModule(path: string, notThrow?: boolean): any;
/**
 * Get root directory.
 */
export declare function getRootCwd(): string;
export declare function streamToBuffer(stream: Stream): Promise<Buffer>;
export declare function getExt(filepath: string): string;
/**
 * Get file name from give path.
 */
export declare function getFileName(filePath: string): string;
export declare const bytesToKbytes: (bytes: number) => number;
